compilation problem on Solaris 8

Stefan Schwarzer s.schwarzer at ndh.net
Mon Jan 28 18:31:10 CET 2002


Hello Eric

Eric Berthiaume wrote:
> I'm trying to compile Python-2.2 on solaris8 and all is good exept
> that I have an error compiling _socket.so that I need for my mailman
> mailing list app.
> [...]
> I had an perfect installation of both apps on solaris2.6 but can't
> seem to get it right on sol8

We did compile and install Python 2.2 on Solaris 8 (quite recent
Solaris installation) without problems.

> i'm compiling with gcc and the only thing that is change from default
> install is the prefix path.  I also tried to compile the module
> manually but same thing.

We compiled with CC=cc and a custom prefix path.

> NOTE: I know this module requires cryptographic libraries and I have
> openssl-0.9.6 installed.

I may be wrong but I think you only need these cryptographic libraries
if you wish to use SSL with your sockets.

Stefan



More information about the Python-list mailing list